Subject: [TR] The TRF Fire

From: John Macartney <[email-masked]>
Date: Thu, 28 Dec 2023 00:39:21 +0000

We all live in a too materialistic world where some who compete with us for business may incline to a “sh*t happens” remark or posture when news breaks of the misfortune of another rival firm. I’m pretty certain that when the news breaks on this side of the pond about Roadster Factory, some companies may make some proactive moves to make their inventories a little more accessible to export enquiries.
There is no doubt that TRF provided an excellent service to its many customers down the years and that is due in part to Charles Runyon and his unquestionably loyal team of staff. As someone whose later career was very much involved in automotive parts supply both in the U.K. and overseas, I spent many years trying to help TRF type businesses in obtaining their needs from ever diminishing U.K. based suppliers. I can only hope the Rimmers of this world, the Paddocks, the T.G Fitchetts andother UK parts specialists come to the aid of US and Canadian customers in meeting their needs. The same goes for the U.K. Standard-Triumph clubs - viz Club Triumph, Triumph Sports Six, Triumph 2000 2500 2.5 Register, TR Register, Stag Owners Club, Standard Car Club in providing drawings or assistance fro their own parts stocks or archives. I can’t speak for any of them in being willing to come to the aid of any individual or specific group - but I just hope they do. The amount of technical info many of these clubs have in their posession from decades of magazines and newsletters beggars belief. For more years than I care to remember, I have felt the Larger clubs could do a lot more to foster strong international ties than I’ve seen them perform and I’ve long come to one of two conclusions. Either no one has thought of demonstrating firm hands across the seas concepts or there are too many people at management committee level (and I’ve met a few down the years) with their thumbs stuck so far up their arseholes that they’re finding it impossible to move. My recommendation therefore is google those clubs if you think they can help you, they’ve all got websites and active email addresses, so if you’re stuck fora part and need help in locAting a likely U.K. SUPPLIERit, ask the U.K. clubs. Good luck and my apologies for my lapse into English as it ain’t usually spoke.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]